#ifndef __TIMER_H_
#define __TIMER_H_

#include "stm32f10x_lib.h"

#define TIMER_ONESHOT		0
#define TIMER_PERIOD		1

typedef struct __TIMER
{
	u32 Timeoutcnt;
	u32 Timeout;
	void (*Timeoutfuc)(void* parameter);
	void* Parameter;
	u8 Timerflag;
}Timer_typedef;

extern Timer_typedef TimerList[10];

extern void TIMER_TimerInitialisation(void);
extern void TIMER_TimerStart(u8 TimerIdent, u32 TimeOut, void (*Timeoutfuc)(void* parameter), void* parameter, u8 flag);
extern void TIMER_Execute(void);

#endif
